<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>TextLineNumber</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextLineNumber";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">lib.textlinenumber</a></div>
<h2 title="Class TextLineNumber" class="title">Class TextLineNumber</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>lib.textlinenumber.TextLineNumber</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.beans.PropertyChangeListener</code>, <code>java.io.Serializable</code>, <code>java.util.EventListener</code>, <code>javax.accessibility.Accessible</code>, <code>javax.swing.event.CaretListener</code>, <code>javax.swing.event.DocumentListener</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">TextLineNumber</span>
extends javax.swing.JPanel
implements javax.swing.event.CaretListener, javax.swing.event.DocumentListener, java.beans.PropertyChangeListener</pre>
<div class="block">This class will display line numbers for a related text component. The text
  component must use the same line height for each line. TextLineNumber
  supports wrapped lines and will highlight the line number of the current
  line in the text component.

  This class was designed to be used as a component added to the row header
  of a JScrollPane.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../serialized-form.html#lib.textlinenumber.TextLineNumber">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JPanel</h3>
<code>javax.swing.JPanel.AccessibleJPanel</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CENTER">CENTER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LEFT">LEFT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RIGHT">RIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(javax.swing.text.JTextComponent)">TextLineNumber</a></span>&#8203;(javax.swing.text.JTextComponent&nbsp;component)</code></th>
<td class="colLast">
<div class="block">Create a line number component for a text component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(javax.swing.text.JTextComponent,int)">TextLineNumber</a></span>&#8203;(javax.swing.text.JTextComponent&nbsp;component,
              int&nbsp;minimumDisplayDigits)</code></th>
<td class="colLast">
<div class="block">Create a line number component for a text component.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#caretUpdate(javax.swing.event.CaretEvent)">caretUpdate</a></span>&#8203;(javax.swing.event.CaretEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#changedUpdate(javax.swing.event.DocumentEvent)">changedUpdate</a></span>&#8203;(javax.swing.event.DocumentEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBorderGap()">getBorderGap</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the border gap</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCurrentLineForeground()">getCurrentLineForeground</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the current line rendering CustomColor</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDigitAlignment()">getDigitAlignment</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the digit alignment</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMinimumDisplayDigits()">getMinimumDisplayDigits</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the minimum display digits</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTextLineNumber(int)">getTextLineNumber</a></span>&#8203;(int&nbsp;rowStartOffset)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUpdateFont()">getUpdateFont</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the update font property</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertUpdate(javax.swing.event.DocumentEvent)">insertUpdate</a></span>&#8203;(javax.swing.event.DocumentEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintComponent(java.awt.Graphics)">paintComponent</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">
<div class="block">Draw the line numbers</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#propertyChange(java.beans.PropertyChangeEvent)">propertyChange</a></span>&#8203;(java.beans.PropertyChangeEvent&nbsp;evt)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeUpdate(javax.swing.event.DocumentEvent)">removeUpdate</a></span>&#8203;(javax.swing.event.DocumentEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBorderGap(int)">setBorderGap</a></span>&#8203;(int&nbsp;borderGap)</code></th>
<td class="colLast">
<div class="block">The border gap is used in calculating the left and right insets of the
  border.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCurrentLineForeground(java.awt.Color)">setCurrentLineForeground</a></span>&#8203;(java.awt.Color&nbsp;currentLineForeground)</code></th>
<td class="colLast">
<div class="block">The CustomColor used to render the current line digits.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDigitAlignment(float)">setDigitAlignment</a></span>&#8203;(float&nbsp;digitAlignment)</code></th>
<td class="colLast">
<div class="block">Specify the horizontal alignment of the digits within the component.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMinimumDisplayDigits(int)">setMinimumDisplayDigits</a></span>&#8203;(int&nbsp;minimumDisplayDigits)</code></th>
<td class="colLast">
<div class="block">Specify the mimimum number of digits used to calculate the preferred
  width of the component.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUpdateFont(boolean)">setUpdateFont</a></span>&#8203;(boolean&nbsp;updateFont)</code></th>
<td class="colLast">
<div class="block">Set the update font property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEFT</h4>
<pre>public static final&nbsp;float LEFT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#lib.textlinenumber.TextLineNumber.LEFT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CENTER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CENTER</h4>
<pre>public static final&nbsp;float CENTER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#lib.textlinenumber.TextLineNumber.CENTER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="RIGHT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RIGHT</h4>
<pre>public static final&nbsp;float RIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#lib.textlinenumber.TextLineNumber.RIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(javax.swing.text.JTextComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TextLineNumber</h4>
<pre>public&nbsp;TextLineNumber&#8203;(javax.swing.text.JTextComponent&nbsp;component)</pre>
<div class="block">Create a line number component for a text component. This minimum
  display width will be based on 3 digits.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>component</code> - the related text component</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(javax.swing.text.JTextComponent,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TextLineNumber</h4>
<pre>public&nbsp;TextLineNumber&#8203;(javax.swing.text.JTextComponent&nbsp;component,
                      int&nbsp;minimumDisplayDigits)</pre>
<div class="block">Create a line number component for a text component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>component</code> - the related text component</dd>
<dd><code>minimumDisplayDigits</code> - the number of digits used to calculate
                               the minimum width of the component</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getUpdateFont()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpdateFont</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;getUpdateFont()</pre>
<div class="block">Gets the update font property</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the update font property</dd>
</dl>
</li>
</ul>
<a id="setUpdateFont(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpdateFont</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setUpdateFont&#8203;(boolean&nbsp;updateFont)</pre>
<div class="block">Set the update font property. Indicates whether this Font should be
  updated automatically when the Font of the related text component
  is changed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>updateFont</code> - when true update the Font and repaint the line
                     numbers, otherwise just repaint the line numbers.</dd>
</dl>
</li>
</ul>
<a id="getBorderGap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBorderGap</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getBorderGap()</pre>
<div class="block">Gets the border gap</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the border gap in pixels</dd>
</dl>
</li>
</ul>
<a id="setBorderGap(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBorderGap</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBorderGap&#8203;(int&nbsp;borderGap)</pre>
<div class="block">The border gap is used in calculating the left and right insets of the
  border. Default value is 5.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>borderGap</code> - the gap in pixels</dd>
</dl>
</li>
</ul>
<a id="getCurrentLineForeground()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentLineForeground</h4>
<pre class="methodSignature">public&nbsp;java.awt.Color&nbsp;getCurrentLineForeground()</pre>
<div class="block">Gets the current line rendering CustomColor</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the CustomColor used to render the current line number</dd>
</dl>
</li>
</ul>
<a id="setCurrentLineForeground(java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentLineForeground</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCurrentLineForeground&#8203;(java.awt.Color&nbsp;currentLineForeground)</pre>
<div class="block">The CustomColor used to render the current line digits. Default is Coolor.RED.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentLineForeground</code> - the CustomColor used to render the current line</dd>
</dl>
</li>
</ul>
<a id="getDigitAlignment()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDigitAlignment</h4>
<pre class="methodSignature">public&nbsp;float&nbsp;getDigitAlignment()</pre>
<div class="block">Gets the digit alignment</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the alignment of the painted digits</dd>
</dl>
</li>
</ul>
<a id="setDigitAlignment(float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDigitAlignment</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDigitAlignment&#8203;(float&nbsp;digitAlignment)</pre>
<div class="block">Specify the horizontal alignment of the digits within the component.
  Common values would be:
  <ul>
  <li>TextLineNumber.LEFT
  <li>TextLineNumber.CENTER
  <li>TextLineNumber.RIGHT (default)
        </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>digitAlignment</code> - the CustomColor used to render the current line</dd>
</dl>
</li>
</ul>
<a id="getMinimumDisplayDigits()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumDisplayDigits</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getMinimumDisplayDigits()</pre>
<div class="block">Gets the minimum display digits</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum display digits</dd>
</dl>
</li>
</ul>
<a id="setMinimumDisplayDigits(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinimumDisplayDigits</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMinimumDisplayDigits&#8203;(int&nbsp;minimumDisplayDigits)</pre>
<div class="block">Specify the mimimum number of digits used to calculate the preferred
  width of the component. Default is 3.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minimumDisplayDigits</code> - the number digits used in the preferred
                               width calculation</dd>
</dl>
</li>
</ul>
<a id="paintComponent(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintComponent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintComponent&#8203;(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draw the line numbers</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paintComponent</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
</dl>
</li>
</ul>
<a id="getTextLineNumber(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextLineNumber</h4>
<pre class="methodSignature">protected&nbsp;java.lang.String&nbsp;getTextLineNumber&#8203;(int&nbsp;rowStartOffset)</pre>
</li>
</ul>
<a id="caretUpdate(javax.swing.event.CaretEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caretUpdate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;caretUpdate&#8203;(javax.swing.event.CaretEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>caretUpdate</code>&nbsp;in interface&nbsp;<code>javax.swing.event.CaretListener</code></dd>
</dl>
</li>
</ul>
<a id="changedUpdate(javax.swing.event.DocumentEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changedUpdate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;changedUpdate&#8203;(javax.swing.event.DocumentEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>changedUpdate</code>&nbsp;in interface&nbsp;<code>javax.swing.event.DocumentListener</code></dd>
</dl>
</li>
</ul>
<a id="insertUpdate(javax.swing.event.DocumentEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertUpdate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;insertUpdate&#8203;(javax.swing.event.DocumentEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>insertUpdate</code>&nbsp;in interface&nbsp;<code>javax.swing.event.DocumentListener</code></dd>
</dl>
</li>
</ul>
<a id="removeUpdate(javax.swing.event.DocumentEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeUpdate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeUpdate&#8203;(javax.swing.event.DocumentEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeUpdate</code>&nbsp;in interface&nbsp;<code>javax.swing.event.DocumentListener</code></dd>
</dl>
</li>
</ul>
<a id="propertyChange(java.beans.PropertyChangeEvent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>propertyChange</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;propertyChange&#8203;(java.beans.PropertyChangeEvent&nbsp;evt)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>propertyChange</code>&nbsp;in interface&nbsp;<code>java.beans.PropertyChangeListener</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
